#!/usr/bin/env python3
import os

"""
Main Flask RESTful API
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2021, KMLabz Team"
__module_name__ = "config"
__version__text__ = "1"


class Config:
    PORT = 8080
    DEBUG = os.environ.get("DEBUG", "true").lower() in ["true", "yes", "1"]

    SENTRY_DSN = os.environ.get("SENTRY_DSN")
    RELEASE_ID = os.environ.get("RELEASE_ID", "test")
    RELEASEMODE = os.environ.get("RELEASEMODE", "dev")

    REDIS_URL = os.environ.get("REDIS_URL", "redis://127.0.0.1:6379/0")
